今天小杰在搭建Discuz!X3.4并在后台安装模板风格的时候,出现了“对不起,您安装的不是正版应用,安装程序无法继续执行”,由于小杰是想测试新的discuz站群批量建站,模板大概有几百套,所以挨个去调整很费时间,面对这种错误提示小杰表示很苦恼!
经过小杰以往对Discuz!X的了解到,Discuz!X2.5之后就已经增加了插件版本检测,所安装的模板及插件如果是Discuz应用中心收录的正版插件,那么就会在安装模板及插件的时候会出现"对不起,您安装的不是正版应用,安装程序无法继续执行"字样。
出现这种提示也不是没有办法解决,其实解决这个提示也蛮简单的,只需要把报错的跳出信息注释掉就行了。

以下是小杰亲测的解决方案:

打开根目录下面的/source/function/function_cloudaddons.php文件,
然后搜索cloudaddons_validator函数,Discuz!X3.4版本的话是在第117行。
把第120行的cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));注释掉(如下图所示),然后保存下就行。
![D$VY[MY@0C698122$F7S15I.png]2